package com.olympya.tools.grok;

import java.util.*;

/**
 * A {@code long}-based {@code Modification} implementation.
 *
 * @author Paulo Mattos
 */
final class NumericModification
extends Repository.Modification
{
  private final Developer author;
  private final Date date;
  private final long id;

  NumericModification(Developer author, Date date, long id)
  {
    if (author == null)
      throw new NullPointerException("author");

    if (date == null)
      throw new NullPointerException("date");

    this.author = author;
    this.date = date;
    this.id = id;
  }

  /**
   * {@inheritDoc}
   */
  public Developer getAuthor()
  {
    return author;
  }

  /**
   * {@inheritDoc}
   */
  public Date getDate()
  {
    return (Date) date.clone();
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public Number toNumber()
  {
    return id;
  }

  /**
   * {@inheritDoc}
   */
  public int compareTo(Repository.Modification mod)
  {
    return (int) (this.id - ((NumericModification) mod).id);
  }
}
