package com.olympya.tools.grok.intellij;

import com.olympya.tools.grok.*;

/**
 * A checked exception thrown when a particular {@linkplain Workgroup workgroup} cannot be found.
 *
 * @author Paulo Mattos
 */
public class NoSuchWorkgroupException
extends Exception
{
  private final String minorMessage;

  /**
   *
   */
  public NoSuchWorkgroupException(String message, String minorMessage)
  {
    super(message);
    this.minorMessage = minorMessage;
  }

  /**
   *
   */
  public NoSuchWorkgroupException(NoSuchArtifactException cause)
  {
    super(cause);
    this.minorMessage = "";
  }

  /**
   *
   */
  public String getMinorMessage()
  {
    return minorMessage;
  }
}
