package com.olympya.tools.grok.intellij;

import java.net.*;

/**
 * Store repository name and URL.
 *
 * @author Hugo Baés
 */
public final class RepositoryInfo
{
  private final String name;
  private final URI root;

  private RepositoryInfo()
  {
    name = null;
    root = null;
  }

  public RepositoryInfo(String name, String root)
  {
    this(name, URI.create(root));
  }

  public RepositoryInfo(String name, URI root)
  {
    this.name = name;
    this.root = root;
  }

  public String getName()
  {
    return name;
  }

  public URI getRoot()
  {
    return root;
  }

  public static RepositoryInfo fromString(String riString)
  {
    String[] fields = riString.split("@");
    return new RepositoryInfo(fields[0], URI.create(fields[1]));
  }

  @Override
  public String toString()
  {
    return String.format("%s@%s", name, root);
  }
}
