package com.olympya.tools.grok.intellij;

import com.intellij.openapi.components.*;
import com.intellij.openapi.application.*;
import com.intellij.openapi.util.*;

/**
 * Manages workgroups at the <em>{@linkplain ApplicationComponent application-level}</em>.
 *
 * @author Paulo Mattos
 */
public final class WorkgroupsManager
{
  private static final Key<WorkgroupsManager> SINGLETON = Key.create(WorkgroupsManager.class.getName());

  /**
   * Returns manager singleton instance.
   */
  public static WorkgroupsManager getInstance()
  {
    Application app = ApplicationManager.getApplication();
    WorkgroupsManager singleton = app.getUserData(SINGLETON);

    if (singleton == null)
      app.putUserData(SINGLETON, singleton = new WorkgroupsManager());

    return singleton;
  }



}
