package com.olympya.tools.grok.intellij.ui;

import javax.swing.*;

import com.olympya.tools.grok.*;

/**
 * Represents an action in popup submenu.
 *
 * @author Hugo Baés
 */
abstract class ActionPopupItem
        implements PopupItem
{
  /**
   * Context of action.
   */
  protected final Query query;

  /**
   * Target developer for the action.
   */
  protected final Developer developer;

  private final String text;
  private final Icon icon;

  protected ActionPopupItem(Developer developer, String text, Icon icon, Query query)
  {
    if (developer == null)
      throw new NullPointerException("developer");

    if (query == null)
      throw new NullPointerException("context");

    this.query = query;
    this.developer = developer;
    this.text = text;
    this.icon = icon;
  }

  /**
   * {@inheritDoc}
   */
  public boolean hasSubstep()
  {
    return false;
  }

  /**
   * {@inheritDoc}
   */
  public PopupStep getSubstep()
  {
    return null;
  }

  /**
   * {@inheritDoc}
   */
  public String getText()
  {
    return text;
  }

  /**
   * {@inheritDoc}
   */
  public Icon getIcon()
  {
    return icon;
  }

  /**
   * {@inheritDoc}
   */
  public boolean hasSeparatorAbove()
  {
    return false;
  }

  /**
   * {@inheritDoc}
   */
  public boolean isEnabled()
  {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public boolean showSubstepOnExecution()
  {
    return false;
  }
}
