package com.olympya.tools.grok.intellij.ui;

import com.olympya.tools.grok.intellij.ui.conf.*;

/**
 * "Add New Developer" popup menu item.
 *
 * @author Hugo Baés
 */
class AddDeveloperPopupItem
        extends ConfigurationPopupItem
{

  AddDeveloperPopupItem(ConfigurationDialog dialog)
  {
    super(dialog, "New Developer", Icons.DEVELOPER);
  }

  /**
   * {@inheritDoc}
   */
  public void execute()
  {
    dialog.performAddDeveloperAction();
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public boolean isEnabled()
  {
    return dialog.getSelectedWorkgroup() != null;
  }

}
