package com.olympya.tools.grok.intellij.ui;

import javax.swing.*;

import com.olympya.tools.grok.intellij.ui.conf.*;

/**
 * Configuration popup menu item.
 *
 * @author Hugo Baés
 */
abstract class ConfigurationPopupItem
        implements PopupItem
{
  private final String text;
  private final Icon icon;

  protected final ConfigurationDialog dialog;

  public ConfigurationPopupItem(ConfigurationDialog dialog, String text, Icon icon)
  {
    if (dialog == null)
      throw new NullPointerException("dialog");

    this.dialog = dialog;
    this.text = text;
    this.icon = icon;
  }

  /**
   * {@inheritDoc}
   */
  public boolean hasSubstep()
  {
    return false;
  }

  /**
   * {@inheritDoc}
   */
  public PopupStep getSubstep()
  {
    return null;
  }

  /**
   * {@inheritDoc}
   */
  public String getText()
  {
    return text;
  }

  /**
   * {@inheritDoc}
   */
  public Icon getIcon()
  {
    return icon;
  }

  /**
   * {@inheritDoc}
   */
  public boolean hasSeparatorAbove()
  {
    return false;
  }

  /**
   * {@inheritDoc}
   */
  public boolean isEnabled()
  {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public boolean showSubstepOnExecution()
  {
    return false;
  }
}
