package com.olympya.tools.grok.intellij.ui;

import com.intellij.openapi.options.*;

import com.olympya.tools.grok.*;
import com.olympya.tools.grok.intellij.*;
import com.olympya.tools.grok.intellij.ui.conf.*;

/**
 * Represents the edit developer action in popup submenu.
 *
 * @author Hugo Baés
 */
class EditDeveloperPopupItem
 extends ActionPopupItem
{
  public EditDeveloperPopupItem(Developer developer, Query query)
  {
    super(developer, "Edit profile", Icons.EDIT_DEV, query);
  }

  /**
   * {@inheritDoc}
   */
  public void execute()
  {
    final Plugin plugin = Plugin.getInstance();
    final ConfigurationDialog dialog  = plugin.getConfigurationDialog();

    Runnable initialization = new Runnable()
    {
      public void run()
      {
        dialog.performEditDeveloperAction(query.workgroup, developer);
      }
    };

    ShowSettingsUtil.getInstance().editConfigurable(query.context.project, plugin, initialization);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public boolean hasSeparatorAbove()
  {
    return true;
  }
}
