package com.olympya.tools.grok.intellij.ui;

import javax.swing.*;

/**
 * A message in the popup.
 *
 * @author Hugo Baés
 */
class MessagePopupItem
implements PopupItem
{
  private final String text;
  private final Icon icon;

  /**
   * {@inheritDoc}
   */
  MessagePopupItem(String text, Icon icon)
  {
    this.text = text;
    this.icon = icon;
  }

  /**
   * {@inheritDoc}
   */
  public boolean hasSubstep()
  {
    return false;
  }

  /**
   * {@inheritDoc}
   */
  public PopupStep getSubstep()
  {
    return null;
  }

  /**
   * {@inheritDoc}
   */
  public void execute()
  {
    // do nothing
  }

  /**
   * {@inheritDoc}
   */
  public String getText()
  {
    return text;
  }

  /**
   * {@inheritDoc}
   */
  public Icon getIcon()
  {
    return icon;
  }

  /**
   * {@inheritDoc}
   */
  public boolean hasSeparatorAbove()
  {
    return false;
  }

  /**
   * {@inheritDoc}
   */
  public boolean isEnabled()
  {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public boolean showSubstepOnExecution()
  {
    return false;
  }
}
