package com.olympya.tools.grok.intellij.ui;

import javax.swing.*;

/**
 * Popup menu item.
 *
 * @author Hugo Baés
 */
interface PopupItem
{
  /**
   * Returns true if item has substeps.
   */
  public boolean hasSubstep();

  /**
   * Returns the substeps of the item.
   */
  public PopupStep getSubstep();

  /**
   * Execution of the item.
   */
  public void execute();

  /**
   * Returns the text to display.
   */
  public String getText();

  /**
   * Returns the icon to display.
   */
  public Icon getIcon();

  /**
   * Returns true if the item has a separator above.
   */
  public boolean hasSeparatorAbove();

  /**
   * Returns true if the item is enabled.
   */
  public boolean isEnabled();

  /**
   * Returns true if popup should show substep on execution.
   */
  public boolean showSubstepOnExecution();
}
