package com.olympya.tools.grok.intellij.ui;

import java.util.*;

import org.jetbrains.annotations.*;

import com.olympya.tools.grok.*;
import com.olympya.tools.grok.intellij.*;
import com.olympya.tools.grok.metrics.*;

/**
 * Store metric results.
 *
 * @author Hugo Baés
 */
public final class Query
{
  /**
   *
   */
  @NotNull
  public final Workgroup workgroup;

  /**
   *
   */
  @NotNull
  public final Map<Developer, Expertise> experts;

  /**
   *
   */
  @NotNull
  public final Artifact.Revision artifact;

  /**
   *
   */
  @NotNull
  public final UIContext context;

  /**
   * Store metric results.
   */
  public Query(Workgroup workgroup, Map<Developer, Expertise> experts, Artifact.Revision artifact, UIContext context)
  {
    if (workgroup == null)
      throw new NullPointerException("workgroup");

    if (experts == null)
      throw new NullPointerException("experts");

    if (artifact == null)
      throw new NullPointerException("artifact");

    if (context == null)
      throw new NullPointerException("context");

    this.workgroup = workgroup;
    this.experts   = experts;
    this.artifact  = artifact;
    this.context   = context;
  }
}
