package com.olympya.tools.grok.intellij.ui;

import com.olympya.tools.grok.*;

/**
 * Represents an send action in popup submenu.
 *
 * @author Hugo Baés
 */
final class SendPopupItem
  extends ActionPopupItem
{
  private final Send send;
  private final boolean enabled;

  public SendPopupItem(Send send, Developer developer, Query query)
  {
    super(developer, send.getDisplayName(), send.getIcon(), query);

    this.send = send;
    enabled   = send.isDeveloperAvailable(developer, query);
  }

  /**
   * {@inheritDoc}
   */
  public void execute()
  {
    send.run(developer, query);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public boolean isEnabled()
  {
    return enabled;
  }

}