package com.olympya.tools.grok.intellij.ui.conf;

import java.awt.datatransfer.*;
import java.util.*;
import java.io.*;

/**
 * Creates a wrapper for a dragged DeveloperTreeNode.
 *
 * @author Hugo Baés
 */
class TransferableDeveloperTreeNode
        implements Transferable
{
  public static final DataFlavor NODE_FLAVOR = new DataFlavor(DataFlavor.javaJVMLocalObjectMimeType, "GrokNode");
  private DeveloperTreeNode node;
  private DataFlavor[] flavors = {NODE_FLAVOR};

  /**
   * Wraps the specified {@link DeveloperTreeNode} beind dragged.
   */
  public TransferableDeveloperTreeNode(DeveloperTreeNode draggedNode)
  {
    node = draggedNode;
  }

  public DataFlavor[] getTransferDataFlavors()
  {
    return flavors;
  }

  public boolean isDataFlavorSupported(DataFlavor flavor)
  {
    return Arrays.asList(flavors).contains(flavor);
  }

  public synchronized DeveloperTreeNode getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException
  {
    if (flavor == NODE_FLAVOR)
    {
      return node;
    }
    else
    {
      throw new UnsupportedFlavorException(flavor);
    }
  }
}
