package com.olympya.tools.grok.metrics;

import java.util.*;

import static com.google.common.collect.Maps.*;

import com.olympya.tools.grok.*;

/**
 * A purely random metric. This metric is mainly used for testing purposes.
 *
 * @author Paulo Mattos
 */
public class RandomMetric
extends Metric
{
  /**
   * Creates metric.
   */
  public RandomMetric()
  {
  }

  /**
   * {@inheritDoc}
   */
  public Map<Developer, Expertise> evaluate(Team team, Artifact artifact)
  {
    Map<Developer, Expertise> randomExperts = newHashMap();

    for (Developer dev : team.getDevelopers())
      randomExperts.put(dev, Expertise.random());

    return randomExperts;
  }

  /**
   * {@inheritDoc}
   */
  public String getDescription()
  {
    return "A purely random metric that chooses randomized values for each developer. The purpouse of this metric is just for testing.";
  }

  /**
   * {@inheritDoc}
   */
  public String toString()
  {
    return String.format("%s (%s)", getClass().getSimpleName(), "randomized metric");
  }
}
