package com.olympya.tools.grok.metrics;

import java.util.*;

import com.olympya.tools.grok.*;

/**
 * Implementation for {@link Metric#timed()} view.
 *
 * @author Paulo Mattos
 */
final class TimedMetric
extends MetricDecorator
{
  TimedMetric(Metric decorated)
  {
    super(decorated);
  }

  @Override
  public Map<Developer, Expertise> evaluate(Team team, Artifact artifact)
  {
    long t0 = System.currentTimeMillis();
    Map<Developer, Expertise> results = super.evaluate(team, artifact);
    long t1 = System.currentTimeMillis();

    System.out.printf("Metric.time=%.1fs\n", (t1 - t0) / 1000.0f);

    return results;
  }
}
