package com.olympya.util.lang;

import java.lang.annotation.*;
import java.util.*;

/**
 * The presence of this annotation on a field indicates that the referenced
 * object(s) is always non-null and <em>immutable</em> (e.g., a {@link Collection} instance returned by the {@link Collections#emptySet() method}).
 *
 * @author Paulo Mattos
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.FIELD})
public @interface Immutable
{
}
